Class UmlNcRelation

This class manages 'relations' between non class objects
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlNcRelation : public UmlBaseNcRelation
- Java : class UmlNcRelation extends UmlBaseNcRelation

Artifact : UmlNcRelation

Operation UmlNcRelation

Declaration :

- Uml : + UmlNcRelation(in id : item_id, in n : string) :
- C++ : public: UmlNcRelation(void * id, const QCString & n) : UmlBaseNcRelation(id, n)
- Java : public UmlNcRelation(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , relationKind , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , target , unload